Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.example2.memory
Class MemoryDatabasePlugIn

    java.lang.Object
      org.apache.struts.webapp.example2.memory.MemoryDatabasePlugIn

All Implemented Interfaces:
  PlugIn

    public final class MemoryDatabasePlugIn

extends Object
implements PlugIn

MemoryDatabasePlugIn initializes and finalizes the persistent storage of User and Subscription information for the Struts Demonstration Application, using an in-memory database backed by an XML file.

IMPLEMENTATION WARNING - If this web application is run from a WAR file, or in another environment where reading and writing of the web application resource is impossible, the initial contents will be copied to a file in the web application temporary directory provided by the container. This is for demonstration purposes only - you should NOT assume that files written here will survive a restart of your servlet container.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
Author:
  Craig R. McClanahan

Constructor Summary
`MemoryDatabasePlugIn()`

Method Summary
`void` | `destroy()` Gracefully shut down this database, releasing any resources that were allocated at initialization.
`String` | `getPathname()`
`void` | `init(ActionServlet servlet, ModuleConfig config)` Initialize and load our initial database from persistent storage.
`void` | `setPathname(String pathname)`
`protected void` | `setupCache(ActionServlet servlet, ModuleConfig config)` Cache commonly required data as servlet context attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryDatabasePlugIn

    public MemoryDatabasePlugIn()

Method Detail

### getPathname

    public String getPathname()

### setPathname

    public void setPathname(String pathname)

### destroy

    public void destroy()

  Gracefully shut down this database, releasing any resources that were allocated at initialization.

  Specified by:
    `destroy` in interface `PlugIn`

### init

    public void init(ActionServlet servlet,
                     ModuleConfig config)
              throws ServletException

  Initialize and load our initial database from persistent storage.

  Specified by:
    `init` in interface `PlugIn`
  Parameters:
    `servlet` - The ActionServlet for this web application
    `config` - The ApplicationConfig for our owning module
  Throws:
    `ServletException` - if we cannot configure ourselves correctly

### setupCache

    protected void setupCache(ActionServlet servlet,
                              ModuleConfig config)

  Cache commonly required data as servlet context attributes.

  Parameters:
    `servlet` - The `ActionServlet` instance running this webapp
    `config` - The `ModuleConfig` for this application module

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.